Subject: Re: EMAC OF binding....

From: Segher Boessenkool <[email-masked]>
Date: Tue, 9 Jan 2007 23:17:07 +0100

> I don't see the need of having some weird "soc" node that doesn't quite
> mean anything (especially on axon) that has phandles to every sub 
> device
> in there :-)

Well simply, if I understood you correctly, you have some
register where some bits control emac #0 and some control
emac #1.  This register can't belong to either of those
devices because it can't belong to both, so it has to
belong to some "control" / "power management" / whatever
device.

> On those ASICs, every device almost needs to know what is it's "cell
> index" because of little details here or there.

Yes.

> I really see that as an
> attribute of the device and thus should be a property of the node.

You still need to describe that register somewhere in the
device tree.

Segher